Saltar al contenido principal
POST
/
blogs
/
v3
/
topics
Create a new blog topic
curl --request POST \
  --url https://api.hubapi.com/blogs/v3/topics \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Hey A New Topic",
  "description": "This is a topic description"
}
'
{
  "id": 349001123123123,
  "portalId": 62515,
  "name": "Hey a new topic",
  "slug": "hey-a-new-topic",
  "description": "This is a topic description",
  "created": 1381896200000,
  "updated": 1381896200000,
  "deletedAt": 0,
  "totalPosts": null,
  "livePosts": null,
  "lastUsed": null,
  "associatedBlogIds": [],
  "publicUrl": null,
  "status": "inactive"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.es/docs/llms.txt

Use this file to discover all available pages before exploring further.

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Parámetros de consulta

casing
enum<string>

Use the casing=snake parameter to change the API's casing for allowed JSON fields (below) to snake_case, rather than camelCase, which is the default. This option is provided for backwards-compatibility and ease of migration from Content v2 APIs, which used snake_case.

Opciones disponibles:
snake

Cuerpo

application/json
name
string
requerido

The topic name

description
string

The topic description

Respuesta

successful operation

id
integer<int64>

The unique id of the topic

portalId
integer

The hub id

name
string

The topic name

slug
string

The URL-friendly version of the topic, used in blog urls

description
string

The topic description

created
integer<int64>

When the topic was first created, in milliseconds since the epoch

updated
integer<int64>

When the topic was last updated, in milliseconds since the epoch

deletedAt
integer<int64>

When the topic was deleted, in milliseconds since the epoch. Zero if the topic was never deleted. Use a DELETE request to properly soft delete a topic - do not set this value directly.

totalPosts
integer | null

The total count of posts (including drafts) associated with this topic.

livePosts
integer | null

The total count of published posts associated with this topic.

lastUsed
integer<int64> | null

The most recent publish date of a blog post associated with this topic, in milliseconds since the epoch.

associatedBlogIds
integer[]

A list of the blog IDs where this topic has been used.

publicUrl
string | null

The public URL for the topic

status
string

The status of the topic

Last modified on April 13, 2026